Skip to main content
POST
/
stores
/
{storeId}
/
checkouts
/
estimate
Estimate checkout
curl --request POST \
  --url https://api.pandabase.io/v2/stores/{storeId}/checkouts/estimate \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "product_id": "<string>",
      "quantity": 500,
      "variant_id": "<string>"
    }
  ],
  "country": "<string>",
  "state": "<string>",
  "coupon_code": "<string>",
  "tax_id": "<string>"
}
'
{
  "ok": true,
  "data": {
    "merchant": {
      "id": "<string>",
      "name": "<string>",
      "handle": "<string>",
      "slug": "<string>",
      "logo": "<string>",
      "favicon": "<string>",
      "accentColor": "<string>",
      "primaryColor": "<string>",
      "statementDescriptor": "<string>",
      "supportEmail": "<string>"
    },
    "subtotal": 123,
    "tax": {
      "rate": 123,
      "amount": 123
    },
    "total": 123,
    "items": [
      {
        "name": "<string>",
        "amount": 123,
        "quantity": 123,
        "image": "<string>"
      }
    ],
    "discount": {
      "code": "<string>",
      "amount": 123,
      "type": "PERCENTAGE",
      "value": 123
    }
  }
}

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Body

application/json
items
object[]
required
Required array length: 1 - 10 elements

Reference an existing product from your catalog

country
string
required

ISO 3166-1 alpha-2 country code for tax calculation

Required string length: 2
state
string

State/province for tax calculation

Maximum string length: 64
coupon_code
string

Coupon code to preview discount

Maximum string length: 64
tax_id
string

Tax ID (VAT number) for tax exemption

Maximum string length: 32

Response

Checkout estimate

ok
boolean
required
data
object
required